Package uk.ac.starlink.topcat

## Class MultiSubsetQueryWindow.Entry

- java.lang.Object
- - uk.ac.starlink.topcat.MultiSubsetQueryWindow.Entry

- Enclosing class:
    MultiSubsetQueryWindow

      public static class MultiSubsetQueryWindow.Entry
      extends java.lang.Object

  Represents a subset to add.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Entry​(TopcatModel tcModel, java.lang.String expr)` | Constructor.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Entry

          public Entry​(TopcatModel tcModel,
                       java.lang.String expr)

      Constructor.
      Parameters:
        `tcModel` - target table
        `expr` - text of JEL expression defining subset